/*
 * mode.h
 *
 * Copyright (C) 2012 Tim Marston <tim@ed.am> and Dan Marston.
 *
 * This file is part of propeller-clock (hereafter referred to as "this
 * program"). See http://ed.am/dev/software/arduino/propeller-clock for more
 * information.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef _MODE_H_
#define _MODE_H_


class Mode
{
public:

	/**
	 * Called once per segment to draw a column of LEDs.
	 *
	 * @param segment the segment number to draw
	 */
	virtual void draw( int segment );

	/**
	 * Called at the start of a "frame", before any segments are drawn.
	 */
	virtual void draw_reset();

	/**
	 * Called when the mode is becoming active.
	 */
	virtual void activate();

	/**
	 * Called when the mode is becoming inactive.
	 */
	virtual void deactivate();

	/**
	 * Called when the button has been pressed.
	 */
	virtual void press();
};


#endif //_MODE_H_
