/*
 * test_pattern_mode.cc
 *
 * Copyright (C) 2011 Tim Marston <tim@ed.am> and Dan Marston.
 *
 * This file is part of propeller-clock (hereafter referred to as "this
 * program"). See http://ed.am/dev/software/arduino/propeller-clock for more
 * information.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "test_pattern_mode.h"
#include "common.h"
#include "text.h"


void TestPatternMode::draw( int segment )
{
	// turn on outside LEDs
	led( 9, true );

	// display segment number in binary across in the inside LEDs,
	// with the LED on pin 12 showing the least-significant bit
	for( int a = 0; a < 9; a++ )
		led( 8 - a, ( segment >> a ) & 1 );
}


void TestPatternMode::activate()
{
	Text::reset();
}
